Vertical Insure
Reports

List Marketing Payout Reports

GET
/v3/report/marketing-payouts

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Query Parameters

page?integer

Zero based page number of the reports to retrieve

Range0 <= value
size?integer

The number of reports to retrieve

Default20
Range1 <= value

Response Body

application/json

curl -X GET "https://api.verticalinsure.com/v3/report/marketing-payouts"
{
  "content": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "period": "string",
      "payout_amount": 0,
      "is_test": true,
      "paid": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "page_number": 0,
  "size": 0,
  "empty": true,
  "number_of_elements": 0,
  "total_size": 0,
  "total_pages": 0
}